org.jboss.resteasy.client.core.executors

## Class InMemoryClientExecutor

- java.lang.Object
- - org.jboss.resteasy.client.core.executors.InMemoryClientExecutor

- All Implemented Interfaces:
    ClientExecutor

      public class InMemoryClientExecutor
      extends Object
      implements ClientExecutor

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected URI` | `baseUri`
    `protected Dispatcher` | `dispatcher`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InMemoryClientExecutor()`
    `InMemoryClientExecutor(Dispatcher dispatcher)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `commitHeaders(ClientRequest request, MockHttpRequest mockHttpRequest)`
    `ClientRequest` | `createRequest(String uriTemplate)`
    `ClientRequest` | `createRequest(UriBuilder uriBuilder)`
    `protected BaseClientResponse` | `createResponse(ClientRequest request, MockHttpResponse mockResponse)`
    `static BaseClientResponse.BaseClientResponseStreamFactory` | `createStreamFactory(MockHttpResponse mockResponse)`
    `ClientResponse` | `execute(ClientRequest request)`
    `URI` | `getBaseUri()`
    `Dispatcher` | `getDispatcher()`
    `Registry` | `getRegistry()`
    `void` | `loadHttpMethod(ClientRequest request, MockHttpRequest mockHttpRequest)`
    `void` | `setBaseUri(URI baseUri)`
    `protected void` | `setHeaders(MockHttpResponse mockResponse, BaseClientResponse response)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dispatcher

          protected Dispatcher dispatcher

    - #### baseUri

          protected URI baseUri

  - ### Constructor Detail

    - #### InMemoryClientExecutor

          public InMemoryClientExecutor()

    - #### InMemoryClientExecutor

          public InMemoryClientExecutor(Dispatcher dispatcher)

  - ### Method Detail

    - #### getBaseUri

          public URI getBaseUri()

    - #### setBaseUri

          public void setBaseUri(URI baseUri)

    - #### createRequest

          public ClientRequest createRequest(String uriTemplate)

      Specified by:
        `createRequest` in interface `ClientExecutor`

    - #### createRequest

          public ClientRequest createRequest(UriBuilder uriBuilder)

      Specified by:
        `createRequest` in interface `ClientExecutor`

    - #### execute

          public ClientResponse execute(ClientRequest request)
                                 throws Exception

      Specified by:
        `execute` in interface `ClientExecutor`
      Throws:
        `Exception`

    - #### createResponse

          protected BaseClientResponse createResponse(ClientRequest request,
                                          MockHttpResponse mockResponse)

    - #### setHeaders

          protected void setHeaders(MockHttpResponse mockResponse,
                        BaseClientResponse response)

    - #### createStreamFactory

          public static BaseClientResponse.BaseClientResponseStreamFactory createStreamFactory(MockHttpResponse mockResponse)

    - #### loadHttpMethod

          public void loadHttpMethod(ClientRequest request,
                            MockHttpRequest mockHttpRequest)
                              throws Exception

      Throws:
        `Exception`

    - #### commitHeaders

          public void commitHeaders(ClientRequest request,
                           MockHttpRequest mockHttpRequest)

    - #### getRegistry

          public Registry getRegistry()

    - #### getDispatcher

          public Dispatcher getDispatcher()

    - #### close

          public void close()

      Specified by:
        `close` in interface `ClientExecutor`

Copyright © 2014. All Rights Reserved.